package es.uca.xmleye.gui.l10n;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import java.awt.event.KeyEvent;
import java.util.ListResourceBundle;
import java.util.Locale;
import java.util.ResourceBundle;

/**
 * Información de local por defecto (es_ES) para
 * {@link es.uca.xmleye.gui.WndTypes}.
 */
public class ResWndTypes_es extends ListResourceBundle {
	public Object[][] getContents() {
		return contenido;
	}

	private static Object[][] contenido = {
			{ "wnd_types", "Tipos" },

			{ "cmd_restore", "Restaurar" },
			{ "cmd_restore_d",
					"Restaura ajustes del filtro a las opciones por defecto" },
			{ "cmd_restore_m", new Integer(KeyEvent.VK_R) },

			{ "cmd_ok", "Aceptar" },
			{ "cmd_ok_d", "Guarda cambios y cierra diálogo" },

			{ "cmd_cancel", "Cancelar" },
			{ "cmd_cancel_d", "Cierra diálogo sin guardar cambios" },

			{ "lbl_opencmd", "Orden de apertura:" },
			{ "lbl_opencmd_m", new Character('a') },
			{ "lbl_editcmd", "Orden de edición:" },
			{ "lbl_editcmd_m", new Character('c') },
			{ "lbl_typename", "Nombre del tipo:" },
			{ "lbl_typename_m", new Character('t') },
			{ "lbl_extensions", "Extensiones (separar por comas):" },
			{ "lbl_extensions_m", new Character('x') },

	};

	// Para hacer pruebas
	public static void main(String[] args) {

		// Visualizamos todos los valores
		for (int i = 0; i < contenido.length; ++i) {
			System.out.println(contenido[i][0] + " = " + contenido[i][1]);
		}

		// Ahora los extraemos
		ResourceBundle rb = ResourceBundle.getBundle(
				"es.uca.xmleye.ResVentanaTipos", Locale.getDefault());
		for (int i = 0; i < contenido.length; ++i) {
			System.out.println(contenido[i][0] + " = "
					+ rb.getObject((String) contenido[i][0]));
		}
	}
}
